Автор Тема: [Решено] ошибка при установке linux-image-3.2.0-4-amd64_3.2.35-2_amd64.deb  (Прочитано 3877 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн Yakumo

  • Новичок форума
  • Topic Author
  • Сообщений: 5
Данную ругню на "linux-image-3.2.0-4-amd64_3.2.35-2_amd64.deb" заметил давно, друг посоветовал переименовать его и глянуть че будет, я так и сделал вроде все ок было, но после этого у меня перестали открываться разделы NTFS с виндовсом и просто локальные NTFS диски которые я использую для винды. Я переименовал обратно все и не знаю что делать, ошибка вроде везде одинаковая, вылазит когда делаю apt-get remove(как в данном случае), upgrade, install. Помогите пожалуйста.

roman@yakumo:~$ sudo apt-get remove imagemagick
Чтение списков пакетов… Готово
Построение дерева зависимостей       
Чтение информации о состоянии… Готово
Будут установлены следующие дополнительные пакеты:
  linux-image-3.2.0-4-amd64
Предлагаемые пакеты:
  linux-doc-3.2 debian-kernel-handbook
Рекомендуемые пакеты:
  firmware-linux-free
Пакеты, которые будут УДАЛЕНЫ:
  imagemagick
Пакеты, которые будут обновлены:
  linux-image-3.2.0-4-amd64
обновлено 1, установлено 0 новых пакетов, для удаления отмечено 1 пакетов, и 82 пакетов не обновлено.
не установлено до конца или удалено 2 пакетов.
Необходимо скачать 0 B/23,3 MB архивов.
После данной операции, объём занятого дискового пространства уменьшится на 442 kB.
Хотите продолжить [Д/н]? y
Чтение журнала изменений... Выполнено                 
Предварительная настройка пакетов ...
(Чтение базы данных … на данный момент установлено 125749 файлов и каталогов.)
Подготовка к замене пакета linux-image-3.2.0-4-amd64 3.2.32-1 (используется файл …/linux-image-3.2.0-4-amd64_3.2.35-2_amd64.deb) …
Распаковывается замена для пакета linux-image-3.2.0-4-amd64 …
Examining /etc/kernel/postrm.d .
run-parts: executing /etc/kernel/postrm.d/initramfs-tools 3.2.0-4-amd64 /boot/vmlinuz-3.2.0-4-amd64
run-parts: executing /etc/kernel/postrm.d/zz-extlinux 3.2.0-4-amd64 /boot/vmlinuz-3.2.0-4-amd64
P: Checking for EXTLINUX directory... found.
P: Writing config for /boot/vmlinuz-3.2.0-4-amd64...
P: Writing config for Windows 7 (loader) on /dev/sda1...
P: Installing debian theme...cp: не удалось выполнить stat для «/usr/share/syslinux/themes/debian-wheezy/extlinux/memtest.bin»: Нет такого файла или каталога
run-parts: /etc/kernel/postrm.d/zz-extlinux exited with return code 1
Failed to process /etc/kernel/postrm.d at /var/lib/dpkg/info/linux-image-3.2.0-4-amd64.postrm line 212.
dpkg: предупреждение: подпроцесс старый сценарий post-removal возвратил код ошибки 1
dpkg: попытка использовать сценарий из нового пакета …
Examining /etc/kernel/postrm.d .
run-parts: executing /etc/kernel/postrm.d/initramfs-tools 3.2.0-4-amd64 /boot/vmlinuz-3.2.0-4-amd64
run-parts: executing /etc/kernel/postrm.d/zz-extlinux 3.2.0-4-amd64 /boot/vmlinuz-3.2.0-4-amd64
P: Checking for EXTLINUX directory... found.
P: Writing config for /boot/vmlinuz-3.2.0-4-amd64...
P: Writing config for Windows 7 (loader) on /dev/sda1...
P: Installing debian theme...cp: не удалось выполнить stat для «/usr/share/syslinux/themes/debian-wheezy/extlinux/memtest.bin»: Нет такого файла или каталога
run-parts: /etc/kernel/postrm.d/zz-extlinux exited with return code 1
Failed to process /etc/kernel/postrm.d at /var/lib/dpkg/tmp.ci/postrm line 212.
dpkg: ошибка при обработке параметра /var/cache/apt/archives/linux-image-3.2.0-4-amd64_3.2.35-2_amd64.deb (--unpack):
 подпроцесс новый сценарий post-removal возвратил код ошибки 1
Examining /etc/kernel/postrm.d .
run-parts: executing /etc/kernel/postrm.d/initramfs-tools 3.2.0-4-amd64 /boot/vmlinuz-3.2.0-4-amd64
run-parts: executing /etc/kernel/postrm.d/zz-extlinux 3.2.0-4-amd64 /boot/vmlinuz-3.2.0-4-amd64
P: Checking for EXTLINUX directory... found.
P: Writing config for /boot/vmlinuz-3.2.0-4-amd64...
P: Writing config for Windows 7 (loader) on /dev/sda1...
P: Installing debian theme...cp: не удалось выполнить stat для «/usr/share/syslinux/themes/debian-wheezy/extlinux/memtest.bin»: Нет такого файла или каталога
run-parts: /etc/kernel/postrm.d/zz-extlinux exited with return code 1
Failed to process /etc/kernel/postrm.d at /var/lib/dpkg/tmp.ci/postrm line 212.
dpkg: ошибка при очистке:
 подпроцесс новый сценарий post-removal возвратил код ошибки 1
При обработке следующих пакетов произошли ошибки:
 /var/cache/apt/archives/linux-image-3.2.0-4-amd64_3.2.35-2_amd64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

P.S. ОС Debian Wheezy x64, apt-get install -f не помогает, выдает ту же ошибку.

Сообщение объединено: 24 Январь 2013, 21:35:03
Долгий гуглинг помог, все решилось командой sudo apt-get --reinstall install memtest86+
Нашел здесь!
Всем спасибо  :)
« Последнее редактирование: 09 Май 2013, 16:08:07 от qupl »
 

Оффлайн Tammy

  • Местный житель
  • ***
  • Сообщений: 208
А разве такое ядро доступно в репах?
Там же вроде бы только 3.2.0-4-amd64 и 3.8
 

Теги:
 

Ошибка при обновлении списка пакетов на свежем Stretch

Автор alexus

Ответов: 24
Просмотров: 21911
Последний ответ 21 Август 2018, 19:48:14
от kaunokki
[Решено] GUI для терминальных команд.

Автор doctor@tardis

Ответов: 9
Просмотров: 1590
Последний ответ 12 Декабрь 2013, 22:24:06
от doctor@tardis
Nod32 linux

Автор iron22

Ответов: 14
Просмотров: 2066
Последний ответ 25 Январь 2012, 16:08:55
от Brainey
[Решено] Нерабочий "сон" системы

Автор toZen

Ответов: 7
Просмотров: 1710
Последний ответ 16 Январь 2015, 09:53:06
от ihammers
[Решено] Подскажите программу для мониторинга сети

Автор DruKot

Ответов: 17
Просмотров: 3258
Последний ответ 14 Сентябрь 2012, 23:10:05
от Udachnik